//
//  x s e e k . h
//
//   --- Linux specific extended lseek function, which enable 64bit
//	 length addressing on non 64bit architecture.
//
//	 int xseek (unsigned int fd, loff_t* offset, loff_t* new_pos,
//		    unsigned int whence )
//
//   Wataru Nishida (wnishida@skyfree.org / http://www.skyfree.org)
//
//   Change log:	Dec. 2, 2000	Initial revision.
//			Dec. 3, 2000	Coped with C and C++ using _DECLS.
//

#ifndef _XSEEK_
#define _XSEEK_

#include <sys/types.h>		// loff_t
#include <features.h>		// __BEGIN_DECLS, __END_DECLS

__BEGIN_DECLS			// Declare extern "C" {} in case of C++.

int xseek(unsigned int, loff_t*, loff_t*, unsigned int);

__END_DECLS

#endif
